org.vishia.gral.example

## Class ExampleContextMenu.InitGuiCodeContextMenu

- java.lang.Object
- - java.util.EventObject
  - - org.vishia.event.EventWithDst
    - - org.vishia.event.EventTimeout
      - - org.vishia.event.TimeOrder
        - - org.vishia.gral.base.GralGraphicTimeOrder
          - - org.vishia.gral.example.ExampleSimpleButton.InitGuiCodeSimpleButton
            - - org.vishia.gral.example.ExampleContextMenu.InitGuiCodeContextMenu

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ExampleContextMenu

      protected class ExampleContextMenu.InitGuiCodeContextMenu
      extends ExampleSimpleButton.InitGuiCodeSimpleButton

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.vishia.gral.base.GralGraphicTimeOrder

      `version`

    - ### Fields inherited from class org.vishia.event.TimeOrder

      `dbgctDone, name`

    - ### Fields inherited from class org.vishia.event.EventTimeout

      `dbgctWindup, timeExecution, timeExecutionLatest`

    - ### Fields inherited from class org.vishia.event.EventWithDst

      `ctConsumed, dateCreation, orderId, stateOfEvent`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InitGuiCodeContextMenu()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeOrder()` This routine is called in the graphic thread if it was added.

    - ### Methods inherited from class org.vishia.gral.base.GralGraphicTimeOrder

      `activate`

    - ### Methods inherited from class org.vishia.event.TimeOrder

      `awaitExecution, doExecute, getCtDone, getStateInfo, toString`

    - ### Methods inherited from class org.vishia.event.EventTimeout

      `activate, activateAt, activateAt, deactivate, doTimeElapsed, timeExecution, timeExecutionLatest, timeToExecution, used`

    - ### Methods inherited from class org.vishia.event.EventWithDst

      `consumed, dateCreation, evDst, getDst, getDstThread, hasDst, isOccupied, occupy, occupy, occupy, occupyRecall, occupyRecall, occupyRecall, occupyRecall, relinquish, removeFromQueue, sendEvent, setDst, setOrderId, XXXdonotRelinquish`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InitGuiCodeContextMenu

          protected InitGuiCodeContextMenu()

  - ### Method Detail

    - #### executeOrder

          public void executeOrder()

      Description copied from class: `ExampleSimpleButton.InitGuiCodeSimpleButton`
      This routine is called in the graphic thread if it was added.
      Overrides:
        `executeOrder` in class `ExampleSimpleButton.InitGuiCodeSimpleButton`
      See Also:
        `org.vishia.gral.base.GralGraphicTimeOrder#executeOrder(boolean)`